"""
This library contatins common methods/fields for the statistical tables: Stats*.py 
"""

 #These are all the suffixes of the tables: wmbs_sub_files_*
tableStatuses=['acquired','failed','complete']
tableRepackStatuses=['New','Used','Abandoned','Failed','Success']

printSQL=False


def fixTables(listOfDictRes):
    return addMissingTables(listOfDictRes,tableStatuses)

def fixRepackTables(listOfDictRes):
   return addMissingTables(listOfDictRes,tableRepackStatuses)



def addMissingTables(listOfDictRes,statuses):
        result= listOfDictRes
        for status in statuses:
            if not(checkValueInResult(status,listOfDictRes)) : result+=[{'status':status,'count':'0'}]
        return result

def checkValueInResult(value,listOfDictRes):
    for i in range(0,len(listOfDictRes)):
        if value in listOfDictRes[i].values():
           return True
    return False